summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarius Gedminas <marius@gedmin.as>2016-10-07 21:56:49 +0300
committerMarius Gedminas <marius@gedmin.as>2016-10-07 21:56:49 +0300
commite09442e6a11c8d23d41b3b8348b32fe8d7bb8d55 (patch)
tree562fc90062cb63ae3fe00df46e8f5ff4dd02bf44
parent229a5a131fcfeefca299a1f2cca700b6226e0caa (diff)
gi.require_version() raises ValueError, not ImportError
-rw-r--r--NEWS.rst2
-rw-r--r--src/gtimelog/main.py2
2 files changed, 2 insertions, 2 deletions
diff --git a/NEWS.rst b/NEWS.rst
index c2ed557..88e6238 100644
--- a/NEWS.rst
+++ b/NEWS.rst
@@ -4,7 +4,7 @@ Changelog
0.10.3 (unreleased)
~~~~~~~~~~~~~~~~~~~
-- Nothing changed yet.
+- Make it work (again) when the AppIndicator bindings are not available.
0.10.2 (2016-10-03)
diff --git a/src/gtimelog/main.py b/src/gtimelog/main.py
index 1d5cf70..a60b67d 100644
--- a/src/gtimelog/main.py
+++ b/src/gtimelog/main.py
@@ -32,7 +32,7 @@ try:
gi.require_version('AppIndicator3', '0.1')
from gi.repository import AppIndicator3
have_app_indicator = True
-except ImportError:
+except (ValueError, ImportError):
have_app_indicator = False
from gtimelog import __version__